import request from '@/utils/request'

// 查询配方管理列表
export function listFormulaManagement(query) {
  return request({
    url: '/feed/FormulaManagement/list',
    method: 'get',
    params: query
  })
}

// 查询配方管理详细
export function getFormulaManagement(formulaId) {
  return request({
    url: '/feed/FormulaManagement/' + formulaId,
    method: 'get'
  })
}

// 新增配方管理
export function addFormulaManagement(data) {
  return request({
    url: '/feed/FormulaManagement',
    method: 'post',
    data: data
  })
}

// 修改配方管理
export function updateFormulaManagement(data) {
  return request({
    url: '/feed/FormulaManagement',
    method: 'put',
    data: data
  })
}

// 删除配方管理
export function delFormulaManagement(formulaIdAndBatchId) {
  return request({
    url: '/feed/FormulaManagement/' + formulaIdAndBatchId,
    method: 'delete'
  })
}
